/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. See
 * http://www.eu-egee.org/partners/ for details on the copyright holders.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package org.glite.security.trustmanager.axis;

import org.glite.security.trustmanager.ContextWrapper;


/**
 * AxisSocketFactoryFactory.java
 *
 * @author  Joni Hahkala
 * Created on September 3, 2002, 9:04 PM
 */
public class AXISSocketFactoryFactory {
    /** Creates a new instance of AxisSocketFactoryFactory */
    public AXISSocketFactoryFactory() {
    	// create an empty factory.
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     *
     * @throws java.lang.Exception DOCUMENT ME!
     */
    public Object createServerFactory() throws java.lang.Exception {
        final ContextWrapper contextWrapper = new ContextWrapper(System.getProperties());

        return contextWrapper.getServerSocketFactory();
    }
}
